sc::Uncapped5SphereExclusionShape(3)

NAME
sc::Uncapped5SphereExclusionShape -

SYNOPSIS

Inherits sc::Shape.

  Public Member Functions
const SCVector3 A () const
const SCVector3 B () const
const SCVector3 C () const
double rA () const
double rB () const
double rC () const
double r () const
int solution_exists () const
double distance_to_surface (const SCVector3 &r, SCVector3 *grad=0) const
int is_outside (const SCVector3 &) const
void boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)
int gradient_implemented () const

  Static Public Member Functions
static
Uncapped5SphereExclusionShape * newUncapped5SphereExclusionShape (double r, const SphereShape &, const SphereShape &, const SphereShape &)"

  Protected Member Functions
Uncapped5SphereExclusionShape (double r, const SphereShape &, const SphereShape &, const SphereShape &)

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.